import type { ServerRuntime as SnowpackServerRuntime } from 'snowpack';
import type { AstroConfig, BuildOutput, RouteData } from '../@types/astro';
import type { AstroRuntime } from '../runtime';
interface PageBuildOptions {
    astroConfig: AstroConfig;
    buildState: BuildOutput;
    path: string;
    route: RouteData;
    astroRuntime: AstroRuntime;
}
/** Build dynamic page */
export declare function getStaticPathsForPage({ astroConfig, snowpackRuntime, route, }: {
    astroConfig: AstroConfig;
    route: RouteData;
    snowpackRuntime: SnowpackServerRuntime;
}): Promise<{
    paths: string[];
    rss: any;
}>;
/** Build static page */
export declare function buildStaticPage({ astroConfig, buildState, path, route, astroRuntime }: PageBuildOptions): Promise<void>;
export {};
